Browse Source

Update README and setup.py with python-requests dependency

tags/nilmdb-1.2
Jim Paris 9 years ago
parent
commit
e90dcd10f3
2 changed files with 6 additions and 1 deletions
  1. +5
    -1
      README.txt
  2. +1
    -0
      setup.py

+ 5
- 1
README.txt View File

@@ -7,11 +7,15 @@ Prerequisites:
sudo apt-get install python2.7 python2.7-dev python-setuptools cython

# Base NilmDB dependencies
sudo apt-get install python-cherrypy3 python-decorator python-simplejson python-pycurl python-dateutil python-tz python-psutil
sudo apt-get install python-cherrypy3 python-decorator python-simplejson
sudo apt-get install python-requests python-dateutil python-tz python-psutil

# Tools for running tests
sudo apt-get install python-nose python-coverage

Test:
python setup.py nosetests

Install:

python setup.py install


+ 1
- 0
setup.py View File

@@ -115,6 +115,7 @@ setup(name='nilmdb',
'python-dateutil',
'pytz',
'psutil >= 0.3.0',
'requests >= 1.1.0, < 2.0.0',
],
packages = [ 'nilmdb',
'nilmdb.utils',


Loading…
Cancel
Save